dehydrated-hook(1)

Name
dehydrated-hook - dehydrated run-parts hook

Synopsis
dehydrated-hook 'HANDLER'

Description

dehydrated is a client for ACME-based Certificate Authorities, such as LetsEncrypt. It can be used to request and obtain TLS certificates from an ACME-based certificate authority.

The dehydrated-hook makes it possible to run multiple scripts in every stage within the process of creating, signing and deploying a certificate.

Scripts need to be placed in /etc/dehydrated/hook.d and need to be prefixed with the name of the handler, e.g. exit_hook.example1 or exit_hook.example2.sh

Handlers

The following dehydrated handlers are available:

deploy_challenge
clean_challenge
sync_cert
deploy_cert
deploy_ocsp
unchanged_cert
invalid_challenge
request_failure
generate_csr
startup_hook
exit_hook

Usage

  Installation
sudo echo HOOK="/usr/bin/dehydrated-hook" > /etc/dehydrated/conf.d/zz-hook.sh
sudo mkdir -p /etc/dehydrated/hook.d

  Removal
sudo rm -f /etc/dehydrated/conf.d/zz-hook.sh
sudo rmdir /etc/dehydrated/hook.d

Files

The following files are used:

    /etc/dehydrated/hook.d:
        directory to place individual hooks.

See also
dehydrated(1),
dehydrated-cron(1),
dehydrated-nsupdate(1).

Homepage

More information about dehydrated-tools-extra can be found on the homepage (<https://open-infrastructure.net>).

Contact

Bug reports, feature requests, help, patches, support and everything else are welcome on <https://git.open-infrastructure.net>.

Debian specific bugs can also be reported in the Debian Bug Tracking System (<https://bugs.debian.org>).

Authors

dehydrated-tools-extra was written by Daniel Baumann <<daniel@debian.org>>.